import { Category } from './Category';
import { Participant } from './Participant';

export interface Competiton {
  WetId: string;
  rkey: string;
  name: string;
  date_span: string;
  discipline?: string;
  cats: Category[];
}

export interface SpeedCompetitionCategoryResult extends Competiton {
  route_names: {
    '0'?: string; // Qualification
    '1'?: string; // 1/16 - Final
    '2'?: string; // 1/8 - Final
    '3'?: string; // 1/4 - Final
    '4'?: string; // 1/2 - Final
    '5'?: string; // Small final
    '6'?: string; // Final
    '-1'?: string; // General result
    [key: string]: string | undefined;
  };
  participants: Participant[];
}
